> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get photo folder

Requires `read:photos`. Returns one gallery folder for the authenticated builder.


## OpenAPI

````yaml GET /builders/{builderId}/photo-folders/{folderId}
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /builders/{builderId}/photo-folders/{folderId}:
    get:
      tags:
        - Photos
      summary: Get photo folder
      parameters:
        - name: builderId
          in: path
          required: true
          schema:
            type: string
        - name: folderId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Photo folder found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhotoFolder'
      security:
        - OAuth2:
            - read:photos
components:
  schemas:
    PhotoFolder:
      type: object
      properties:
        id:
          type: string
        builderId:
          type: string
        projectId:
          type: string
          nullable: true
        parentId:
          type: string
          nullable: true
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````